package md

type CurlAesDecrypt struct {
	AesKey  string `json:"aes_key" label:"支付宝开放平台-小程序-接口内容加密-aesKey"`
	Content string `json:"content" binding:"required" label:"解密内容"`
}

type SystemOauthTokenReq struct {
	Config struct {
		AliAppId      string `json:"ali_app_id" label:"支付宝开放平台-小程序-appid"`
		AliPrivateKey string `json:"ali_private_key" label:"支付宝开放平台-小程序-应用私钥"`
		AliPublicKey  string `json:"ali_public_key" label:"支付宝开放平台-小程序-支付宝公钥"`
	} `json:"config" label:"配置信息"`
	Code string `json:"code" binding:"required" label:"授权码"`
}

type CurlAlipayTradeCreateReq struct {
	Config struct {
		PayAliAppId      string `json:"pay_ali_app_id" label:"支付宝开放平台-第三方应用-appid"`
		PayAliPrivateKey string `json:"pay_ali_private_key" label:"支付宝开放平台-第三方应用-接口加签-应用私钥"`
		PayAliPublicKey  string `json:"pay_ali_public_key" label:"支付宝开放平台-第三方应用-接口加签-支付宝公钥"`
	} `json:"config" label:"配置信息"`
	OpAppId      string `json:"op_app_id" label:"小程序支付中，商户实际经营主体的小程序应用的appid，也即最终唤起收银台支付所在的小程序的应用id"`
	BuyerId      string `json:"buyer_id" binding:"required" label:"买家支付宝用户ID"`
	TotalAmount  string `json:"total_amount" binding:"required" label:"订单总金额"`
	OutTradeNo   string `json:"out_trade_no" binding:"required" label:"商户订单号"`
	Subject      string `json:"subject" binding:"required" label:"订单标题"`
	AppAuthToken string `json:"app_auth_token" binding:"required" label:"应用授权token"`
	NotifyUrl    string `json:"notify_url" label:"异步通知地址"`
}

type CurlAlipayTradeCreateResp struct {
	Code       string `json:"code" label:"响应码"`
	Msg        string `json:"msg" label:"响应消息"`
	OutTradeNo string `json:"out_trade_no" label:"商户订单号"`
	TradeNo    string `json:"trade_no" label:"支付宝交易号"`
}

type CurlAlipayTradeQueryReq struct {
	Config struct {
		PayAliAppId      string `json:"pay_ali_app_id" label:"支付宝开放平台-第三方应用-appid"`
		PayAliPrivateKey string `json:"pay_ali_private_key" label:"支付宝开放平台-第三方应用-接口加签-应用私钥"`
		PayAliPublicKey  string `json:"pay_ali_public_key" label:"支付宝开放平台-第三方应用-接口加签-支付宝公钥"`
	} `json:"config" label:"配置信息"`
	OutTradeNo   string `json:"out_trade_no" label:"商户订单号"`
	AppAuthToken string `json:"app_auth_token" binding:"required" label:"应用授权token"`
}

type CurlAlipayTradeQueryResp struct {
	Code        string `json:"code" label:"响应码"`
	Msg         string `json:"msg" label:"响应消息"`
	OutTradeNo  string `json:"out_trade_no" label:"商户订单号"`
	TradeNo     string `json:"trade_no" label:"支付宝交易号"`
	TradeStatus string `json:"trade_status" label:"交易状态：WAIT_BUYER_PAY（交易创建，等待买家付款）、TRADE_CLOSED（未付款交易超时关闭，或支付完成后全额退款）、TRADE_SUCCESS（交易支付成功）、TRADE_FINISHED（交易结束，不可退款）"`
}

type CurlAlipayTradeRefundReq struct {
	Config struct {
		PayAliAppId      string `json:"pay_ali_app_id" label:"支付宝开放平台-第三方应用-appid"`
		PayAliPrivateKey string `json:"pay_ali_private_key" label:"支付宝开放平台-第三方应用-接口加签-应用私钥"`
		PayAliPublicKey  string `json:"pay_ali_public_key" label:"支付宝开放平台-第三方应用-接口加签-支付宝公钥"`
	} `json:"config" label:"配置信息"`
	OutTradeNo   string `json:"out_trade_no" label:"商户订单号"`
	RefundAmount string `json:"refund_amount" label:"退款金额"`
	RefundReason string `json:"refund_reason" label:"退款原因"`
	OutRequestNo string `json:"out_request_no" label:"退款订单号"`
	AppAuthToken string `json:"app_auth_token" binding:"required" label:"应用授权token"`
}

type CurlEducateSceneTokenReq struct {
	Config struct {
		AliAppId      string `json:"ali_app_id" label:"支付宝开放平台-小程序-appid"`
		AliPrivateKey string `json:"ali_private_key" label:"支付宝开放平台-小程序-应用私钥"`
		AliPublicKey  string `json:"ali_public_key" label:"支付宝开放平台-小程序-支付宝公钥"`
	} `json:"config" label:"配置信息"`
	CertNo         string `json:"cert_no" label:"身份证号码"`
	StudentName    string `json:"student_name" label:"姓名"`
	OutUserId      string `json:"out_user_id" label:"服务商内部用户唯一ID，用于与支付宝用户 ID 进行关联"`
	SchoolStdCode  string `json:"school_std_code" label:"学校外标"`
	OperatorUserId string `json:"operator_user_id" label:"采集人员的支付宝会员标识。（当sub_code为SCHOOL_PAYMENT_REMOTE_OPEN_ACCOUNT时，当前参数必选）"`
}

type CurlEducateSceneKidsCloseReq struct {
	Config struct {
		AliAppId      string `json:"ali_app_id" label:"支付宝开放平台-小程序-appid"`
		AliPrivateKey string `json:"ali_private_key" label:"支付宝开放平台-小程序-应用私钥"`
		AliPublicKey  string `json:"ali_public_key" label:"支付宝开放平台-小程序-支付宝公钥"`
	} `json:"config" label:"配置信息"`
	CertNo        string `json:"cert_no" label:"身份证号码"`
	UserId        string `json:"user_id" label:"刷脸用户的UID"`
	ParentUid     string `json:"parent_uid" label:"开通一脸通行的支付宝UID，如果是家长为学生代开通，则为家长的UID"`
	SchoolStdCode string `json:"school_std_code" label:"学校外标"`
}

type CurlEducateFacepayCloseReq struct {
	Config struct {
		AliAppId      string `json:"ali_app_id" label:"支付宝开放平台-小程序-appid"`
		AliPrivateKey string `json:"ali_private_key" label:"支付宝开放平台-小程序-应用私钥"`
		AliPublicKey  string `json:"ali_public_key" label:"支付宝开放平台-小程序-支付宝公钥"`
	} `json:"config" label:"配置信息"`
	FaceUid       string `json:"face_uid" label:"刷脸用户的UID"`
	SchoolStdCode string `json:"school_std_code" label:"学校外标"`
}

type CurlEducateFacepayApplyReq struct {
	Config struct {
		AliAppId      string `json:"ali_app_id" label:"支付宝开放平台-小程序-appid"`
		AliPrivateKey string `json:"ali_private_key" label:"支付宝开放平台-小程序-应用私钥"`
		AliPublicKey  string `json:"ali_public_key" label:"支付宝开放平台-小程序-支付宝公钥"`
	} `json:"config" label:"配置信息"`
	FaceUid       string `json:"face_uid" label:"刷脸用户id"`
	FaceOpenId    string `json:"face_open_id" label:"刷脸用户openId"`
	SchoolStdCode string `json:"school_std_code" label:"学校外标"`
}

type CurlAlipayPlanetEcocampusApiRosterSignUpInfoReq struct {
	FaceUid           string `json:"face_uid" label:"学生刷脸编号（不可修改）"`
	ParentUid         string `json:"parent_uid" label:"家长uid（可修改）"`
	ParentLogonId     string `json:"parent_logon_id" label:"家长支付宝账号脱敏信息（可修改）"`
	RosterName        string `json:"roster_name" label:"学生姓名（可修改）"`
	OutRosterCode     string `json:"out_roster_code" label:"外部花名册编号（不可修改）"`
	SchoolCode        string `json:"school_code" label:"学校内标（不可修改）"`
	SchoolName        string `json:"school_name" label:"学校名称（不可修改）"`
	ScanFacePayStatus string `json:"scan_face_pay_status" label:"刷脸支付开通状态（可修改）	开通状态:ON,关闭状态:OFF（新增时，不传值默认OFF）"`
	FaceOpenStatus    string `json:"face_open_status" label:"刷脸开通状态（可修改）"`
}

type CurlAlipayPlanetEcocampusApiDebtPageQueryDebtInfo struct {
	FaceUid    string `json:"face_uid" label:"学生刷脸编号"`
	SchoolCode string `json:"school_code" label:"学校内标"`
	PageNo     int    `json:"page_no"`
	PageSize   int    `json:"page_size"`
}

type CurlAlipayPlanetEcocampusApiRosterPageQueryBlackList struct {
	SchoolCode string `json:"school_code" label:"学校内标"`
	PageNo     int    `json:"page_no"`
	PageSize   int    `json:"page_size"`
}

type CurlSelfSupportForSchoolOrderDebtRepay struct {
	OutOrderNo   string `json:"out_order_no" label:"外部订单号"`
	MerchantCode string `json:"merchant_code" label:"商户编号"`
}

type CurlAlipayPlanetEcocampusApiDebtCancel struct {
	OutOrderNo   string `json:"out_order_no" label:"外部订单号"`
	MerchantCode string `json:"merchant_code" label:"商户编号"`
}
