package model

type CentralKitchenForSchoolPackageOrd struct {
	Id               int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	EnterpriseId     int    `json:"enterprise_id" xorm:"not null default 0 comment('所属单位id') INT(11)"`
	Uid              int    `json:"uid" xorm:"not null default 0 comment('用户id') INT(11)"`
	UserIdentityId   int    `json:"user_identity_id" xorm:"not null default 0 comment('用户身份id') INT(11)"`
	UserIdentityName string `json:"user_identity_name" xorm:"not null default 0.00 comment('用户身份名称(起备份作用)') CHAR(50)"`
	TotalPrice       string `json:"total_price" xorm:"not null default 0.00 comment('总价') DECIMAL(8,2)"`
	Kind             int    `json:"kind" xorm:"not null default 1 comment('购买类型(1:按学期购买 2:按月购买 3:按天购买 4:补餐)') TINYINT(1)"`
	OutTradeNo       string `json:"out_trade_no" xorm:"not null default '' comment('商户订单号') VARCHAR(255)"`
	TradeNo          string `json:"trade_no" xorm:"not null default '' comment('支付宝交易号') VARCHAR(255)"`
	State            int    `json:"state" xorm:"not null default 0 comment('支付状态(0:待支付 1:支付成功 2:支付失败)') TINYINT(1)"`
	OrdState         int    `json:"ord_state" xorm:"not null default 0 comment('订单状态(0:待支付 1:预约成功 2:退款中 3:部分退款 4:已退款 5:已完成)') TINYINT(1)"`
	ReqContent       string `json:"req_content" xorm:"comment('请求内容') TEXT"`
	WithDayData      string `json:"with_day_data" xorm:"comment('待支付成功插入 central_kitchen_for_school_user_with_day') TEXT"`
	CreateAt         string `json:"create_at" xorm:"not null pk default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt         string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
